/*
CRM API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package crmapi

import (
	"encoding/json"
)

// checks if the SyncContactResponse type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &SyncContactResponse{}

// SyncContactResponse struct for SyncContactResponse
type SyncContactResponse struct {
	ExternalId string `json:"external_id"`
}

// NewSyncContactResponse instantiates a new SyncContactResponse object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSyncContactResponse(externalId string) *SyncContactResponse {
	this := SyncContactResponse{}
	this.ExternalId = externalId
	return &this
}

// NewSyncContactResponseWithDefaults instantiates a new SyncContactResponse object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSyncContactResponseWithDefaults() *SyncContactResponse {
	this := SyncContactResponse{}
	return &this
}

// GetExternalId returns the ExternalId field value
func (o *SyncContactResponse) GetExternalId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ExternalId
}

// GetExternalIdOk returns a tuple with the ExternalId field value
// and a boolean to check if the value has been set.
func (o *SyncContactResponse) GetExternalIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ExternalId, true
}

// SetExternalId sets field value
func (o *SyncContactResponse) SetExternalId(v string) {
	o.ExternalId = v
}

func (o SyncContactResponse) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o SyncContactResponse) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["external_id"] = o.ExternalId
	return toSerialize, nil
}

type NullableSyncContactResponse struct {
	value *SyncContactResponse
	isSet bool
}

func (v NullableSyncContactResponse) Get() *SyncContactResponse {
	return v.value
}

func (v *NullableSyncContactResponse) Set(val *SyncContactResponse) {
	v.value = val
	v.isSet = true
}

func (v NullableSyncContactResponse) IsSet() bool {
	return v.isSet
}

func (v *NullableSyncContactResponse) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSyncContactResponse(val *SyncContactResponse) *NullableSyncContactResponse {
	return &NullableSyncContactResponse{value: val, isSet: true}
}

func (v NullableSyncContactResponse) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSyncContactResponse) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


